webpackHotUpdate("static/development/pages/[page].js",{

/***/ "./renderer/markdown.ts":
/*!******************************!*\
  !*** ./renderer/markdown.ts ***!
  \******************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "default", function() { return renderMarkdown; });
/* harmony import */ var markdown_it__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! markdown-it */ "./node_modules/markdown-it/index.js");
/* harmony import */ var markdown_it__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(markdown_it__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _plugins_collapsible__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./plugins/collapsible */ "./renderer/plugins/collapsible.ts");
/* harmony import */ var _plugins_tabs__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./plugins/tabs */ "./renderer/plugins/tabs.ts");
/* harmony import */ var _plugins_table__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./plugins/table */ "./renderer/plugins/table.ts");




var md = markdown_it__WEBPACK_IMPORTED_MODULE_0___default()({
  breaks: true
}).use(__webpack_require__(/*! markdown-it-sub */ "./node_modules/markdown-it-sub/index.js")).use(__webpack_require__(/*! markdown-it-sup */ "./node_modules/markdown-it-sup/index.js")).use(__webpack_require__(/*! markdown-it-footnote */ "./node_modules/markdown-it-footnote/index.js")).use(__webpack_require__(/*! markdown-it-deflist */ "./node_modules/markdown-it-deflist/index.js")).use(__webpack_require__(/*! markdown-it-abbr */ "./node_modules/markdown-it-abbr/index.js")).use(__webpack_require__(/*! markdown-it-anchor */ "./node_modules/markdown-it-anchor/index.js")).use(__webpack_require__(/*! markdown-it-table-of-contents */ "./node_modules/markdown-it-table-of-contents/index.js")).use(__webpack_require__(/*! markdown-it-container */ "./node_modules/markdown-it-container/index.js"), 'image-right').use(__webpack_require__(/*! markdown-it-container */ "./node_modules/markdown-it-container/index.js"), 'align-center').use(_plugins_table__WEBPACK_IMPORTED_MODULE_3__["tableWrap"]).use(_plugins_collapsible__WEBPACK_IMPORTED_MODULE_1__["default"]).use(_plugins_tabs__WEBPACK_IMPORTED_MODULE_2__["default"]);
function renderMarkdown(meta, content) {
  md.renderer.rules.collapsible_close = function (tokens, index) {
    var content = tokens[index].content;
    return content.closeType === _plugins_collapsible__WEBPACK_IMPORTED_MODULE_1__["CloseTypes"].top ? '</div></div>' : "</div><div class=\"collapsible__close\">".concat(content.closeText, "</div></div>");
  };

  md.renderer.rules.collapsible_open = function (tokens, index) {
    var content = tokens[index].content;
    var closeType = content.closeType;
    var collapsibleBlock = "<div class=\"collapsible\"><div class=\"collapsible__open\">".concat(content.openText, "</div>");

    if (closeType === _plugins_collapsible__WEBPACK_IMPORTED_MODULE_1__["CloseTypes"].top || closeType === _plugins_collapsible__WEBPACK_IMPORTED_MODULE_1__["CloseTypes"].both) {
      collapsibleBlock += "<div class=\"collapsible__close\">".concat(content.closeText, "</div>");
    }

    return collapsibleBlock + '<div class="collapsible__content">';
  };

  md.renderer.rules.tabview_open = function () {
    return '<div class="tabs">';
  };

  md.renderer.rules.tabview_close = function () {
    return '</div>';
  };

  md.renderer.rules.tab_close = function () {
    return '</div></div>';
  };

  md.renderer.rules.tab_open = function (tokens, index) {
    var title = tokens[index].content;
    return "<div class=\"tab\"><div class=\"tab__title\">".concat(title, "</div><div class=\"tab__content\">");
  };

  return md.render(content);
}

/***/ }),

/***/ "./renderer/plugins/table.ts":
/*!***********************************!*\
  !*** ./renderer/plugins/table.ts ***!
  \***********************************/
/*! exports provided: default, tableWrap */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "tableWrap", function() { return tableWrap; });
var SEPARATOR = '---|';

function getTableHead(cells) {
  // String after tableHead
  var headSeparator = '\n|' + SEPARATOR.repeat(cells.length + 1) + '\n';
  var head = '|',
      firstRow = '';

  if (cells[0].startsWith('~')) {
    cells.forEach(function (cell) {
      head += cell.replace(/~\s/, '') + '|';
    });
  } else {
    head = head.repeat(cells.length + 1);
    firstRow = cells.reduce(function (prevCells, cell) {
      return prevCells += "".concat(cell, "|");
    }, '|') + '\n';
  }

  return '\n' + head + headSeparator + firstRow;
}

function prepareTableRow(row) {
  var isFirst = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
  var cells = row.substring(2, row.lastIndexOf('||')).split('||');

  if (isFirst) {
    return getTableHead(cells);
  }

  return cells.reduce(function (prevCells, cell) {
    return prevCells += "".concat(cell, "|");
  }, '|') + '\n';
}

function isNextRowTable(row) {
  return row.startsWith('||');
}

/* harmony default export */ __webpack_exports__["default"] = (function (input) {
  var rows = input.split('\n');
  var preparedContent = '';
  var inTable = false;
  rows.forEach(function (row, index) {
    if (inTable) {
      preparedContent += prepareTableRow(row);
      inTable = rows[index + 1] ? isNextRowTable(rows[index + 1]) : false;
    } else if (row.startsWith('||')) {
      preparedContent += prepareTableRow(row, true);
      inTable = rows[index + 1] ? isNextRowTable(rows[index + 1]) : false;
    } else {
      preparedContent += row + '\n';
    }
  });
  return preparedContent;
});
function tableWrap(md) {
  md.core.ruler.push('tabs', function (state) {
    var TABVIEW_OPEN_REGEX = /\[\[tabview]]/;
    var TABVIEW_CLOSE_REGEX = /\[\[\/tabview]]/;
    var TAB_OPEN_REGEX = /\[\[tab\stitle="(.*)"]]/;
    var TAB_OPEN_REGEX_2 = /\[\[tab\s(.*)]]/;
    var TAB_CLOSE_REGEX = /\[\[\/tab]]/;
    var tokens = state.tokens;
    var i = 0;

    while (i < tokens.length - 1) {
      var openToken = tokens[i];
      var token = tokens[i + 1];
      var match = void 0; // <Open>

      if (openToken.type === 'paragraph_open' && token.content.match(TABVIEW_OPEN_REGEX)) {
        var tabviewOpen = new state.Token('tabview_open', 'div', 0);
        tokens.splice(i, 3, tabviewOpen);
      }

      if (openToken.type === 'paragraph_open' && (match = token.content.match(TAB_OPEN_REGEX) || token.content.match(TAB_OPEN_REGEX_2))) {
        var tabOpen = new state.Token('tab_open', 'div', 0);
        tabOpen.content = match[1];
        tokens.splice(i, 3, tabOpen);
      } // <Close>


      if (openToken.type === 'paragraph_open' && token.content.match(TABVIEW_CLOSE_REGEX)) {
        var tabviewClose = new state.Token('tabview_close', 'div', 0);
        tokens.splice(i, 3, tabviewClose);
      }

      if (openToken.type === 'paragraph_open' && token.content.match(TAB_CLOSE_REGEX)) {
        var tabClose = new state.Token('tab_close', 'div', 0);
        tokens.splice(i, 3, tabClose);
      }

      i++;
    }
  });
}
;

/***/ })

})
//# sourceMappingURL=[page].js.338719c384875248c82d.hot-update.js.map