webpackHotUpdate("static/development/pages/[page].js",{

/***/ "./renderer/plugins/table.ts":
/*!***********************************!*\
  !*** ./renderer/plugins/table.ts ***!
  \***********************************/
/*! exports provided: default, tableWrap */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "tableWrap", function() { return tableWrap; });
var SEPARATOR = '---|';

function getTableHead(cells) {
  // String after tableHead
  var headSeparator = '\n|' + SEPARATOR.repeat(cells.length + 1) + '\n';
  var head = '|',
      firstRow = '';

  if (cells[0].startsWith('~')) {
    cells.forEach(function (cell) {
      head += cell.replace(/~\s/, '') + '|';
    });
  } else {
    head = head.repeat(cells.length + 1);
    firstRow = cells.reduce(function (prevCells, cell) {
      return prevCells += "".concat(cell, "|");
    }, '|') + '\n';
  }

  return '\n' + head + headSeparator + firstRow;
}

function prepareTableRow(row) {
  var isFirst = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
  var cells = row.substring(2, row.lastIndexOf('||')).split('||');

  if (isFirst) {
    return getTableHead(cells);
  }

  return cells.reduce(function (prevCells, cell) {
    return prevCells += "".concat(cell, "|");
  }, '|') + '\n';
}

function isNextRowTable(row) {
  return row.startsWith('||');
}

/* harmony default export */ __webpack_exports__["default"] = (function (input) {
  var rows = input.split('\n');
  var preparedContent = '';
  var inTable = false;
  rows.forEach(function (row, index) {
    if (inTable) {
      preparedContent += prepareTableRow(row);
      inTable = rows[index + 1] ? isNextRowTable(rows[index + 1]) : false;
    } else if (row.startsWith('||')) {
      preparedContent += prepareTableRow(row, true);
      inTable = rows[index + 1] ? isNextRowTable(rows[index + 1]) : false;
    } else {
      preparedContent += row + '\n';
    }
  });
  return preparedContent;
});
function tableWrap(md) {
  md.core.ruler.push('table_open', function (state) {
    var TABVIEW_OPEN_REGEX = /\[\[tabview]]/;
    var TABVIEW_CLOSE_REGEX = /\[\[\/tabview]]/;
    var TAB_OPEN_REGEX = /\[\[tab\stitle="(.*)"]]/;
    var TAB_OPEN_REGEX_2 = /\[\[tab\s(.*)]]/;
    var TAB_CLOSE_REGEX = /\[\[\/tab]]/;
    var tokens = state.tokens;
    var i = 0;

    while (i < tokens.length - 1) {
      var openToken = tokens[i];
      var token = tokens[i + 1];
      var match = void 0;
      console.log(openToken); // <Open>

      if (openToken.type === 'paragraph_open' && token.content.match(TABVIEW_OPEN_REGEX)) {
        var tabviewOpen = new state.Token('tabview_open', 'div', 0);
        tokens.splice(i, 3, tabviewOpen);
      }

      if (openToken.type === 'paragraph_open' && (match = token.content.match(TAB_OPEN_REGEX) || token.content.match(TAB_OPEN_REGEX_2))) {
        var tabOpen = new state.Token('tab_open', 'div', 0);
        tabOpen.content = match[1];
        tokens.splice(i, 3, tabOpen);
      } // <Close>


      if (openToken.type === 'paragraph_open' && token.content.match(TABVIEW_CLOSE_REGEX)) {
        var tabviewClose = new state.Token('tabview_close', 'div', 0);
        tokens.splice(i, 3, tabviewClose);
      }

      if (openToken.type === 'paragraph_open' && token.content.match(TAB_CLOSE_REGEX)) {
        var tabClose = new state.Token('tab_close', 'div', 0);
        tokens.splice(i, 3, tabClose);
      }

      i++;
    }
  });
}
;

/***/ })

})
//# sourceMappingURL=[page].js.386c891a51c1b65ae838.hot-update.js.map